<!doctype html>
<html lang="ru">

<head>

    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--====== Title ======-->
    <title>{% block title %}{% endblock %}</title>

    <!--====== Favicon Icon ======-->
    <link rel="shortcut icon" href="{{ url_for('static', filename='images/favicon.ico') }}" type="image/ico">

    <!--====== Bootstrap css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/bootstrap.min.css') }}">

    <!--====== Fontawesome css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/all.css') }}">

    <!--====== animate css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/animate.css') }}">

    <!--====== Magnific Popup css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/magnific-popup.css') }}">

    <!--====== Slick css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/slick.css') }}">

    <!--====== Default css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/default.css') }}">

    <!--====== Style css ======-->
    <link rel="stylesheet" href="{{ url_for('static', filename='css/style.css') }}">


</head>

<body>

    <!--====== HEADER PART START ======-->

    <header class="header-area">
        <div class="header-nav">
            <div class="navigation">
                <nav class="navbar navbar-expand-lg navbar-light ">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="toggler-icon"></span>
                        <span class="toggler-icon"></span>
                        <span class="toggler-icon"></span>
                    </button> <!-- navbar toggler -->

                    <div class="collapse navbar-collapse sub-menu-bar" id="navbarSupportedContent">
                        <ul class="navbar-nav">
                            {%- for endpoint, caption in [
                            ('posts_bp.list', 'Главная'),
                            ('gallery_bp.main', 'Галерея')
                            ] %}
                                <li class="nav-item">
                                    <a class="nav-link {% if endpoint == request.endpoint %}active{% endif %}" href={{ url_for(endpoint) }}>{{ caption }}</a>
                                </li>
                            {%- endfor %}
                        </ul>
                    </div> <!-- navbar collapse -->
                    <div class="navbar-social ">
                        <ul>
                            {% if g.user %}
                              <li><a href="{{ url_for('posts_bp.create') }}">Новый пост</a>
                              <li><a href="{{ url_for('auth_bp.logout') }}">Выйти из системы</a>
                            {% else %}
                              <li><a href="{{ url_for('auth_bp.login') }}">Войти в систему</a>
                            {% endif %}
                        </ul>
                    </div>
                </nav>
            </div> <!-- navigation -->
        </div>
    </header>

    <!--====== HEADER PART ENDS ======-->

    <!--====== PAGE TITLE PART START ======-->

    <section class="page-title-area bg_cover" style="background-image: url({{ url_for('static', filename='images/page-bg.jpg') }});">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-12">
                    <div class="page-title-item text-center">
                        <h3 class="title">{% block page_title %}{% endblock %}</h3>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!--====== PAGE TITLE PART ENDS ======-->

    {% for message in get_flashed_messages() %}
        <div class="flash">{{ message }}</div>
    {% endfor %}

    <!--====== CONTENT PART START ======-->

    {% block content %}{% endblock %}

    <!--====== CONTENT PART ENDS ======-->

    <!--====== GO TO TOP PART START ======-->

    <div class="go-top-area">
        <div class="go-top-wrap">
            <div class="go-top-btn-wrap">
                <div class="go-top go-top-btn">
                    <i class="fa fa-angle-double-up"></i>
                    <i class="fa fa-angle-double-up"></i>
                </div>
            </div>
        </div>
    </div>

    <!--====== GO TO TOP PART ENDS ======-->



    <!--====== jquery js ======-->
    <script src="{{ url_for('static', filename='js/vendor/modernizr-3.6.0.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/vendor/jquery-1.12.4.min.js') }}"></script>

    <!--====== Bootstrap js ======-->
    <script src="{{ url_for('static', filename='js/bootstrap.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/popper.min.js') }}"></script>

    <!--====== Slick js ======-->
    <script src="{{ url_for('static', filename='js/slick.min.js') }}"></script>

    <!--====== Isotope js ======-->
    <script src="{{ url_for('static', filename='js/isotope.pkgd.min.js') }}"></script>

    <!--====== appear js ======-->
    <script src="{{ url_for('static', filename='js/jquery.appear.min.js') }}"></script>

    <!--====== counterup js ======-->
    <script src="{{ url_for('static', filename='js/jquery.counterup.min.js') }}"></script>

    <!--====== wow js ======-->
    <script src="{{ url_for('static', filename='js/wow.min.js') }}"></script>

    <!--====== circle progress js ======-->
    <script src="{{ url_for('static', filename='js/circle-progress.min.js') }}"></script>

    <!--====== waypoints js ======-->
    <script src="{{ url_for('static', filename='js/waypoints.min.js') }}"></script>

    <!--====== Images Loaded js ======-->
    <script src="{{ url_for('static', filename='js/imagesloaded.pkgd.min.js') }}"></script>

    <!--====== Magnific Popup js ======-->
    <script src="{{ url_for('static', filename='js/jquery.magnific-popup.min.js') }}"></script>

    <!--====== Ajax Contact js ======-->
    <script src="{{ url_for('static', filename='js/ajax-contact.js') }}"></script>

    <!--====== Main js ======-->
    <script src="{{ url_for('static', filename='js/main.js') }}"></script>

</body>

</html>
